Package profile
icalendar
- Summary: RFC 5545 compatible parser and generator of iCalendar files
- Author: Plone Foundation
- License: BSD-2-Clause
- Homepage: https://icalendar.readthedocs.io/en/stable/
- Source: https://github.com/collective/icalendar
- Number of releases: 90
- First release: 1.1 on 2006-11-23
- Latest release: 7.3.0 on 2026-08-19
- Latest release size: 529.8 KB (pure Python wheel)
1 known vulnerabilityLatest: GHSA-cv84-9p8j-fj68 — icalendar has Algorithmic Complexity in Equality View all →
Dependencies
Icalendar has 3 dependencies, 0 of which optional.Dependent packages
| Package | Optional | Group |
|---|---|---|
| bokeh-sampledata | false | |
| recurring-ical-events | false | |
| x-wr-timezone | false | |
| iterabledata | true | ics |
Similar packages
- vobjectA full-featured Python package for parsing and creating iCalendar and vCard files
- myst-parserAn extended [CommonMark](https://spec.commonmark.org/) compliant parser,
- recurring-ical-eventsCalculate recurrence times of events, todos, alarms and journals based on icalendar RFC5545.
- pyrfc3339Generate and parse RFC 3339 timestamps
- cookiesFriendlier RFC 6265-compliant cookie parser/renderer
- feedparserUniversal feed parser, handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds
- pytomlA parser for TOML-0.4.0